Loading...
Searching...
No Matches
glfEntry Struct Reference
Collaboration diagram for glfEntry:
[legend]

## Public Member Functions

glfEntry & | operator= (glfEntry &rhs)

## Public Attributes

unsigned char | refBase:4
| "XACMGRSVTWYHKDBN"[ref_base] gives the reference base
unsigned char | recordType:4
unsigned int | offset
| offset of this record from the previous one, in bases
unsigned | depth:24
| log10 minimum likelihood * 10 and the number of mapped reads
unsigned | minLLK:8
unsigned char | mapQuality
| root mean squared maximum mapping quality for overlapping reads
union { |
unsigned char lk [10] |
| log10 likelihood ratio * 10 for genotypes AA, AC, AG, AT, CC, CG, CT, GG, GT, TT More...
glfIndel indel |
}; |  |

## Detailed Description

Definition at line 42 of file glfHandler.h.

## Member Function Documentation

## operator=()

glfEntry & glfEntry::operator= | ( | glfEntry & | rhs | ) |

Definition at line 287 of file glfHandler.cpp.

{
refBase = rhs.refBase;
recordType = rhs.recordType;
offset = rhs.offset;
mapQuality = rhs.mapQuality;
for (int i = 0; i < 10; i++)
lk[i] = rhs.lk[i];
minLLK = rhs.minLLK;
depth = rhs.depth;
return * this;
}
glfEntry::offset
unsigned int offset
offset of this record from the previous one, in bases
Definition glfHandler.h:48
glfEntry::mapQuality
unsigned char mapQuality
root mean squared maximum mapping quality for overlapping reads
Definition glfHandler.h:54
glfEntry::depth
unsigned depth
log10 minimum likelihood * 10 and the number of mapped reads
Definition glfHandler.h:51
glfEntry::lk
unsigned char lk[10]
log10 likelihood ratio * 10 for genotypes AA, AC, AG, AT, CC, CG, CT, GG, GT, TT
Definition glfHandler.h:59
glfEntry::refBase
unsigned char refBase
"XACMGRSVTWYHKDBN"[ref_base] gives the reference base
Definition glfHandler.h:45

## Member Data Documentation

## depth

unsigned glfEntry::depth

log10 minimum likelihood * 10 and the number of mapped reads

Definition at line 51 of file glfHandler.h.

## indel

glfIndel glfEntry::indel

Definition at line 60 of file glfHandler.h.

## lk

unsigned char glfEntry::lk[10]

log10 likelihood ratio * 10 for genotypes AA, AC, AG, AT, CC, CG, CT, GG, GT, TT

Definition at line 59 of file glfHandler.h.

## mapQuality

unsigned char glfEntry::mapQuality

root mean squared maximum mapping quality for overlapping reads

Definition at line 54 of file glfHandler.h.

## minLLK

unsigned glfEntry::minLLK

Definition at line 51 of file glfHandler.h.

## offset

unsigned int glfEntry::offset

offset of this record from the previous one, in bases

Definition at line 48 of file glfHandler.h.

## recordType

unsigned char glfEntry::recordType

Definition at line 45 of file glfHandler.h.

## refBase

unsigned char glfEntry::refBase

"XACMGRSVTWYHKDBN"[ref_base] gives the reference base

Definition at line 45 of file glfHandler.h.

The documentation for this struct was generated from the following files:

- general/glfHandler.h
- general/glfHandler.cpp